Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 588037 - Missing icon in menu
Missing icon in menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 06:22 EDT by Christoph Wickert
Modified: 2011-06-27 12:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-05-02 06:22:48 EDT
Description of problem:
In the 'Chat' menu the icon for 'New conversation' entry has a broken image.

Version-Release number of selected component (if applicable):
empathy-2.30.1-2.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. gconftool-2 --type boolean --set /desktop/gnome/interface/menus_have_icons
true
2. make sure to use the Fedora default icon theme
3. start empathy and look into the 'bookmarks' menu
  
Actual results:
'New Conversation' entry displays a broken image. Note that this does not mean
there is no icon but gtk-missing-image is shown.

Expected results:
None of the menu entries should display gtk-missing-image

Additional info:
In the right click menu of the tray icon the same menu entry does have an icon.
Comment 1 Brian Pepple 2010-05-02 12:12:48 EDT
Hmmm, I'm using the default icon theme (Fedora) and I'm getting the 'New Conversation' icon fine in both the Chat menu & Notification Area pop-up menu.. The icon you are missing is actually shipped with Empathy, and not part of the default icon theme:

/usr/share/empathy/icons/hicolor/22x22/actions/im-message-new.png

Could you please verify that your not missing that icon, and also that the icon-cache has been updated? Thanks.
Comment 2 Christoph Wickert 2010-05-02 13:54:38 EDT
This is strange: The icon is in place and the cache is updated. However I still don't have the icon in Xfce, only in GNOME. I tried with a new user and he does have the icon even in Xfce. There is definitely something fishy here, but I'm not sure if it's in empathy. 

When I start empathy in Xfce, I see 

$ empathy
failed to create drawable

I don't get this message in GNOME.
Comment 3 Bug Zapper 2011-06-02 10:36:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:01:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.